d("footerView",['util', 'footerModel'], function(UTIL, footerModel) {

    return {
        extendFooterView: function() {
            // Create Custom Footer View
            CCRZ.views.footerView = CCRZ.CloudCrazeView.extend({
                el: CCRZ.uiProperties.footer.selector,
                viewName: "customFooterView",
                template: CCRZ.util.template(CCRZ.uiProperties.footer.tmpl),
                init: function(){
                    this.render();
                },
                render: function(){
                    let _this = this;
                    if(!_.isUndefined(CCRZ.CategoryTree)){
                        CCRZ.CategoryTree.invokeCtx(
                            "getCategoryTreeJson",
                            function(result, event){
                                if(event.status){
                                    _this.model.set('categories', result.data);
                                    _this.$el.html(_this.template(_this.model.toJSON()));
                                } else {
                                    _this.$el.html(_this.template(_this.model.toJSON()));
                                }
                        },{escape:false});
                    } else {
                        _this.$el.html(_this.template(_this.model.toJSON()));
                    }
                },
                events: {
                    'click .cc_goto_login' : 'openLoginModal'
                },
                openLoginModal : function() {
                    $('#loginModal').modal({backdrop: true, show: true}); 
                    $('#loginModal').removeClass('fade');
                    $('.modal-backdrop').removeClass('fade');
                }
            });
    
            CCRZ.footerView = new CCRZ.views.footerView({
                model : new footerModel()
            });
        } 
    }
});

